## ros-kinetic-ypspur 1.20.2

=== debian/changelog ===
ros-kinetic-ypspur (1.20.2-1xenial) xenial; urgency=high

  * Revert "Fix timestamp estimation (#169 <https://github.com/openspur/yp-spur/issues/169>)" (#172 <https://github.com/openspur/yp-spur/issues/172>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 17 Mar 2021 00:00:00 -0000

ros-kinetic-ypspur (1.20.1-1xenial) xenial; urgency=high

  * Fix timestamp estimation (#169 <https://github.com/openspur/yp-spur/issues/169>)
  * Update assets to v0.1.4 (#164 <https://github.com/openspur/yp-spur/issues/164>)
  * Migrate to GitHub Actions (#166 <https://github.com/openspur/yp-spur/issues/166>)
  * Update static_assert availability check (#163 <https://github.com/openspur/yp-spur/issues/163>)
  * Add static_assert to enum value overlap (#162 <https://github.com/openspur/yp-spur/issues/162>)
  * Fix version in CMakeLists (#161 <https://github.com/openspur/yp-spur/issues/161>)
  * Fix git directory on release-candidate (#159 <https://github.com/openspur/yp-spur/issues/159>)
  * Automatically update version in CMakeLists (#157 <https://github.com/openspur/yp-spur/issues/157>)
  * Update assets to v0.1.2 (#156 <https://github.com/openspur/yp-spur/issues/156>)
  * Update assets to v0.0.10 (#154 <https://github.com/openspur/yp-spur/issues/154>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 10 Mar 2021 00:00:00 -0000

ros-kinetic-ypspur (1.20.0-1xenial) xenial; urgency=high

  * Add VOLT_MIN param (#151 <https://github.com/openspur/yp-spur/issues/151>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 27 Oct 2020 00:00:00 -0000

ros-kinetic-ypspur (1.19.0-1xenial) xenial; urgency=high

  * Support online device dump (#147 <https://github.com/openspur/yp-spur/issues/147>)
  * Update assets to v0.0.9 (#146 <https://github.com/openspur/yp-spur/issues/146>)
  * Use snprintf instead of sprintf (#145 <https://github.com/openspur/yp-spur/issues/145>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 28 Aug 2020 00:00:00 -0000

ros-kinetic-ypspur (1.18.2-1xenial) xenial; urgency=high

  * Fallback message if unable to get git revision (#142 <https://github.com/openspur/yp-spur/issues/142>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 31 Jul 2020 00:00:00 -0000

ros-kinetic-ypspur (1.18.1-1xenial) xenial; urgency=high

  * Update assets to v0.0.8 (#139 <https://github.com/openspur/yp-spur/issues/139>)
  * Fix without-device mode (#136 <https://github.com/openspur/yp-spur/issues/136>)
  * Add CI job for Ubuntu Focal (#135 <https://github.com/openspur/yp-spur/issues/135>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 07 Apr 2020 00:00:00 -0000

ros-kinetic-ypspur (1.18.0-1xenial) xenial; urgency=high

  * Accumulate packet lost count (#132 <https://github.com/openspur/yp-spur/issues/132>)
  * Fix torque offset gear factor (#131 <https://github.com/openspur/yp-spur/issues/131>)
  * Fix typo in error message (#130 <https://github.com/openspur/yp-spur/issues/130>)
  * Add DEVICE_TIMEOUT parameter and show packet lost error (#129 <https://github.com/openspur/yp-spur/issues/129>)
  * Fix --no-yp-protocol mode (#128 <https://github.com/openspur/yp-spur/issues/128>)
  * Add option to ping chained devices (#127 <https://github.com/openspur/yp-spur/issues/127>)
  * Update assets to v0.0.7 (#126 <https://github.com/openspur/yp-spur/issues/126>)
  * Update assets to v0.0.6 (#125 <https://github.com/openspur/yp-spur/issues/125>)
  * Migrate changelog format to rst (#124 <https://github.com/openspur/yp-spur/issues/124>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 21 Mar 2020 00:00:00 -0000

ros-kinetic-ypspur (1.13.2-1xenial) xenial; urgency=high

  * [AWD] Freeモードから抜ける際に加速度制限が正しく働かないバグを修正
  * [AWD] B-Loco通信無効モードのCPU使用率を低減
  * [AWD] パラメータファイルの説明を出力する起動オプションを追加(--param-help)

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 05 Apr 2012 00:00:00 -0000

ros-kinetic-ypspur (1.13.1-1xenial) xenial; urgency=high

  * [AWD] sh-velのスタートアップルーチン、リンカスクリプトをオリジナルのファイルに

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 14 Dec 2011 00:00:00 -0000

ros-kinetic-ypspur (1.13.0-1xenial) xenial; urgency=high

  * [AWD] パラメータファイル中にロボットのサイズを記述できるように
  * [AWD] B-Locoとの通信を一切しないモードを追加(--without-device)
  * [AWD] 制御しないモードのコマンドライン引数を変更(--without-control)
  * [AWD] Windows環境で新しいgccに対応
  * [AWD] Windows環境で共有メモリとMutexの名前競合を解決
  * [AWD] Windows環境でシリアル通信のOS上のバッファをクリアできるように

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sun, 11 Dec 2011 00:00:00 -0000

ros-kinetic-ypspur (1.12.3-1xenial) xenial; urgency=high

  * [GND] sh-velのリセットタイマの仕様変更.YPSpur拡張コマンドの通信時はタイムアウトを長めに設定

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 06 Dec 2011 00:00:00 -0000

ros-kinetic-ypspur (1.12.2-1xenial) xenial; urgency=high

  * [YOK] Mac OS X環境でシリアル通信ができるようにした

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 05 Dec 2011 00:00:00 -0000

ros-kinetic-ypspur (1.12.1-1xenial) xenial; urgency=high

  * [GND] A/Dの値をssmに書き込む際のバッファリングのバグ修正
  * [GND] ビットレート(ボーレート)の設定のバグ修正
  * [GND] ypspur-coordinaterの初期化に失敗するとsh-velがリセットされないバグを修正(※sh-velを入れ直す必要あり)

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sun, 04 Dec 2011 00:00:00 -0000

ros-kinetic-ypspur (1.12.0-1xenial) xenial; urgency=high

  * [AWD] Passiveモード(押して進むモード作成)

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 14 Nov 2011 00:00:00 -0000

ros-kinetic-ypspur (1.11.2-1xenial) xenial; urgency=high

  * [AWD] トルク推定の式をパラメータの単位系の修正に対応

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 03 Nov 2011 00:00:00 -0000

ros-kinetic-ypspur (1.11.1-1xenial) xenial; urgency=high

  * [STK] モータ制御ゲインの計算で時間を考慮していないバグを修正
  * [STK] libodmssm.cで戻り値を使用していないバグを修正
  * [STK] パラーメータのバージョンが新しすぎても動作するバグを修正
  * [STK] MOTOR_VTCを読み込まないように修正
  * [STK] パラメータの単位系を修正（GAIN_KP, GAIN_KI, INTEGRAL_MAX, TORQUE_VISCOS）

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 31 Oct 2011 00:00:00 -0000


